# -----------------------------
# Le script ne fait rien. Il met a disposition deux fonction une qui créer un chat gemini. 
# La deuxième classifie une sequence sur des label en utilisant le chat créer dans la première fonction
#
# Ce script ne prend pas de paramètres.
#
# Auteur : Pavlovich Ivan
# -----------------------------


import os
import google.generativeai as genai
import json
import time

genai.configure(api_key="AIzaSyArZarHHZYoj6tV0wFU2wZGl-1unhl6l7o")

def gemini_start_chat():
    model = genai.GenerativeModel(model_name='gemini-1.5-flash')
    chat = model.start_chat()

    return chat

def gemini_classify(chat, sequence, labels):

    prompt = 'I need you to give me the labels that could be given to the text (keep in mind that u can put multiple labels and select only the labels that i give you):\n'
    prompt += 'text: ' + sequence + '\n'
    prompt += 'labels: ' + "[" + ", ".join(labels) + ']\n'
    prompt += 'Give the response in json format: { "labels": [] }. Follow this writing to the letter and don t add text around it. Only put the labels that you select between [].'
    prompt += 'Even if you have no labels give me a response like: { "labels": [] }. And also put labels between "".'

    predictionTime = 0

    waitingTime = 1
    while(waitingTime <= 500):
        try:
            start = time.time()
            response = chat.send_message(prompt)
            end = time.time()

            predictionTime = (end - start)
            break
        except:
            print(f"Waiting {waitingTime} seconds")
            time.sleep(waitingTime)
            waitingTime *= 2

    if waitingTime > 500:
        raise Exception("Problem with Gemini")

    json_str = response.text.strip().lstrip('```json').strip()

    if json_str.endswith("```"):
        json_str = json_str[0:-3]

    responce_json = json.loads(json_str)

    print(responce_json)

    res = {}

    for label in labels:
        res[label] = label in responce_json["labels"]

    return res, predictionTime