import argparse
import os
import sys


PROJECT_PWD = os.path.abspath(os.path.join(os.path.dirname(__file__), "../"))
DEST_PATH = f"/home/guest/Documents/NCD-Project"

# commands = [
#     f"rclone copy {PROJECT_PWD}/models anthoine:{DEST_PATH}/models -P",
#     f"rclone copy {PROJECT_PWD}/testModel anthoine:{DEST_PATH}/testModel -P",
#     f"rclone copy {PROJECT_PWD}/parsers anthoine:{DEST_PATH}/parsers -P",
#     f"rclone copy {PROJECT_PWD}/variables anthoine:{DEST_PATH}/variables -P",
#     f"rclone copy {PROJECT_PWD}/dataSources anthoine:{DEST_PATH}/dataSources -P"
# ]

commands = [
    f"rclone copy {PROJECT_PWD}/models anthoine-laptop:{DEST_PATH}/models -P",
    f"rclone copy {PROJECT_PWD}/testModel anthoine-laptop:{DEST_PATH}/testModel -P",
    f"rclone copy {PROJECT_PWD}/parsers anthoine-laptop:{DEST_PATH}/parsers -P",
    f"rclone copy {PROJECT_PWD}/variables anthoine-laptop:{DEST_PATH}/variables -P",
    f"rclone copy {PROJECT_PWD}/dataSources anthoine-laptop:{DEST_PATH}/dataSources -P"
]

for cmd in commands:
    print(f"-> Running: {cmd}")
    os.system(cmd)

print(f"Files successfully copied to anthoine-laptop:{DEST_PATH}")