PUBMED_API_KEY = "63d31fa6fc74a5b632d3560046df75748208"

NCDS = [
    "Non-Communicable Diseases",
    "Diabetes",
    "Cancer",
    "Chronic respiratory disease",
    "Cardiovascular diseases",
    "Mental Health",
    "Diabetes type 1",
    "Diabetes type 2"
]

NCDS_MESH_TERM = {
    'Non-Communicable Diseases': "Noncommunicable Diseases",
    'Diabetes': "Diabetes Mellitus",
    'Cancer': "Neoplasms",
    'Chronic respiratory disease': "Respiratory Tract Diseases",
    'Cardiovascular diseases': "Cardiovascular Diseases",
    'Mental Health': "Mental Health",
    'Diabetes type 1': "Diabetes Mellitus, Type 1",
    'Diabetes type 2': "Diabetes Mellitus, Type 2"
}

KEYWORDS = [
    "Availability",
    "Affordability",
    "Essential medecins",
    "Care therapy",
    "Care health",
    "Health Expenditures",
    "Health care costs",
    "Market",
    "Special populations",
    "Child Health",
    "Womens Health",
    "Age",
    "Minority",
    "Primary Care",
    "Specialty Care",
    "Patient acceptance",
    "Patient centered care",
    "Prevention and control",
    "Mass screening",
    "Palliative care",
    "Quality",
    "Telemedicine",
    "Digital health",
    "Supplies",
    "Human Resources",
    "Enablers/barriers",
    "Gender equity",
    "Racial",
    "Equity",
    "Clinical",
    "Health promotion",
    "Health education",
    "Research & Innovation",
    "Therapeutic Development",
    "Technological Development",
    "Self-management",
    "Self-monitoring",
    "Dosing",
    "Injections",
    "Secondary Care",
    "Integrated Care",
    "Treatment management",
    "Immunization",
    "Vaccination",
    "Adherence",
    "Control",
    "Rehabilitation services",
    "Clinical guidelines",
    "Health policy",
    "Healthcare policy",
    "National health policy",
    "Regional health policy",
    "Health legislation",
    "Policy evaluation",
    "Policy analysis",
    "Policy formulation",
    "Regulation",
    "Governance",
    "Global initiatives and organizations",
    "Universal Health Care",
    "Expansion",
    "Health insurance",
    "Coverage",
    "Funding and investment",
    "Health planning",
    "Health reform",
    "Policy monitoring",
    "Public health campaign",
    "Policy lobbying",
    "Patient advocacy",
    "Justice",
    "Awareness campaign",
    "Education",
    "Corporate accountability",
    "Social determinants of health",
    "Empowerment",
    "Community",
    "Peer support",
    "Civil society",
    "Patient education",
    "Parent education",
    "Educational materials",
    "Community heatlh education",
    "Awareness",
    "Community engagement",
    "Health literacy",
    "Medical education",
    "Training program",
    "Technology education",
    "Medical devices",
    "Information Dissemination",
    "Behavioral change",
    "Nutrition education",
    "Risk communication",
    "Sector integration"
]

KEYWORDS_MESH_TERM = {
    'Health Expenditures': "Health Expenditures",
    'Health care costs': "Health Care Costs",
    'Patient centered care': "Patient-Centered Care",
    'Mass screening': "Mass Screening",
    'Palliative care': "Palliative Care",
    'Telemedicine': "Telemedicine",
    'Digital health': "Digital Health",
    'Gender equity': "Gender Equity",
    'Health promotion': "Health Promotion",
    'Health education': "Health Education",
    'Self-management': "Self-Management",
    'Injections': "Injections",
    'Secondary Care': "Secondary Care",
    'Immunization': "Immunization",
    'Vaccination': "Vaccination",
    'Health policy': "Health Policy",
    'Universal Health Care': "Universal Health Care",
    'Health insurance': "Insurance, Health",
    'Health planning': "Health Planning",
    'Patient advocacy': "Patient Advocacy",
    'Education': "Education",
    'Social determinants of health': "Social Determinants of Health",
    'Empowerment': "Empowerment",
    'Awareness': "Awareness",
    'Health literacy': "Health Literacy",
    'Medical education': "Education, Medical",
    'Information Dissemination': "Information Dissemination"
}

KEYWORDS_MESH_SUBHEADING = {
    'Prevention and control': "prevention and control"
}

KEYWORDS_MESH_SITE_PROPOSITION = {
    'Affordability': "Costs and Cost Analysis",
    'Special populations': "Health Disparate Minority and Vulnerable Populations",
    'Technological Development': "Sustainable Development",
    'Self-monitoring': "Blood Glucose Self-Monitoring",
    'Treatment management': "Patient Care Management",
    'Healthcare policy': "Health Policy",
    'National health policy': "Health Policy",
    'Policy analysis': "Policy Making",
    'Awareness campaign': "Immunization Programs",
    'Civil society': "Social Justice",
    'Parent education': "Prenatal Education",
    'Educational materials': "Educational Technology",
    'Community heatlh education': "Health Education"
}

KEYWORDS_MESH_PROPOSITION = {
'Availability': "Biological Availability",
'Care therapy': "Palliative Care",
'Care health': "Primary Health Care",
'Market': "marketing",
'Age': "Age Groups",
'Minority': "Minority Groups",
'Primary Care': "Primary Health Care",
'Patient acceptance': "Patient Acceptance of Health Care",
'Quality': "Quality Assurance, Health Care",
'Supplies': "Equipment and Supplies",
'Human Resources': "Workforce",
'Racial': "Racial Groups",
'Equity': "Diversity, Equity, Inclusion",
'Clinical': "ambulatory care facilities",
'Research & Innovation': "Research",
'Therapeutic Development': ["Therapeutics", "Growth and Development"],
'Integrated Care': "Delivery of Health Care, Integrated",
'Adherence': "Assessment of Medication Adherence",
'Control': "Control Groups",
'Rehabilitation services': "Rehabilitation",
'Clinical guidelines': ["ambulatory care facilities", "Guidelines as Topic"],
'Regional health policy': ["geographic locations", "Health Policy"],
'Health legislation': "Legislation as Topic",
'Policy evaluation': "policy",
'Policy formulation': "Policy Making",
'Regulation': "Social Control, Formal",
'Governance': "Clinical Governance",
'Coverage': "Preexisting Condition Coverage",
'Funding and investment': ["economics", "investments"],
'Health reform': "Health Care Reform",
'Public health campaign': "public health",
'Policy lobbying': ["policy", "lobbying"],
'Justice': "Social Justice",
'Community': "Residence Characteristics",
'Patient education': "Patient Education as Topic",
'Training program': "Education",
'Technology education': ["technology", "Education"],
'Medical devices': "Equipment and Supplies",
'Behavioral change': "behavior",
'Nutrition education': ["nutritional sciences", "Education"],
'Risk communication': ["risk", "communication"]
}